<div id="body">
    <h1>{{title}}</h1>
    <p>{{message}}</p>
    <form [formGroup] = "myControl" (ngSubmit) = "onSubmit()">
        <table>
            <tr><th>Name</th><td>
                <div *ngIf="name.invalid">Nameは必須項目です</div>
                <input type="text" formControlName="name">
            </td></tr>
            <tr><th>mail</th><td>
                <div *ngIf="mail.invalid">メールアドレスが必要です</div>
                <input type="text" formControlName="mail">
            </td></tr>
            <tr><th>age</th><td>
                <div *ngIf="age.invalid">１歳以上150歳以下で入力してください</div>
                <input type="number" formControlName="age">
            </td></tr>
            <tr><th></th><td>
                <input  [disabled]="myControl.invalid" type="submit" value="click">
            </td></tr>
        </table>
    </form>                        
</div>
